"use strict";

import transform from 'css-to-react-native';
const ALLOWED_STYLE_PROPERTIES = {
  color: true,
  background: true,
  backgroundColor: true,
  fontWeight: true,
  fontStyle: true
};
export function getRNStylesFromShikiStyle(shikiStyle) {
  return Object.fromEntries(Object.entries(shikiStyle).map(([className, style]) => [className, cleanStyle(style)]));
}
export function cleanStyle(style) {
  const styles = Object.entries(style).filter(([key]) => ALLOWED_STYLE_PROPERTIES[key]).map(([key, value]) => [key, value]);
  return transform(styles);
}
//# sourceMappingURL=style.js.map